Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.io.context
Interface AcknowledgmentSource

public interface AcknowledgmentSource

A server context element for registering interest in receiving an acknowledgment that the remote call's result data has been delivered to and processed by the client.

Since:
  2.0
See Also:
  `ServerContext.getServerContextElement(java.lang.Class)`

Nested Class Summary
`static interface` | `AcknowledgmentSource.Listener` A callback object for registering with an `AcknowledgmentSource` server context element to handle the receipt of an acknowledgment that the remote call's result data has been processed by the client.

Method Summary
`boolean` | `addAcknowledgmentListener(AcknowledgmentSource.Listener listener)` Registers the specified listener as interested in receiving an acknowledgment that the remote call's result data has been processed by the client.

Method Detail

### addAcknowledgmentListener

    public boolean addAcknowledgmentListener(AcknowledgmentSource.Listener listener)

  Registers the specified listener as interested in receiving an acknowledgment that the remote call's result data has been processed by the client. Multiple listeners may be registered with this object.

  The implementation of this interface may refuse a registration, such as if the remote call's result data has already been written. This method returns `true` if the listener was successfully registered, and `false` if the registration was refused.

  Parameters:
    `listener` - the listener to register
  Returns:
    `true` if the listener was successfully registered, and `false` if the registration was refused
  Throws:
    `NullPointerException` - if `listener` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved